Bug 177849 - [maintainer update] update cad/openvsp to 2.2.3
Summary: [maintainer update] update cad/openvsp to 2.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-14 10:30 UTC by Fernando Apesteguía
Modified: 2013-04-16 21:21 UTC (History)
0 users

See Also:


Attachments
file.diff (3.02 KB, patch)
2013-04-14 10:30 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2013-04-14 10:30:00 UTC
Update cad/openvsp to 2.2.3 This is a small bugfix release.

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 Tijl Coosemans freebsd_committer 2013-04-15 08:53:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

I'll commit it when the freeze is over.
Comment 2 dfilter service freebsd_committer 2013-04-16 21:19:27 UTC
Author: tijl
Date: Tue Apr 16 20:19:19 2013
New Revision: 315897
URL: http://svnweb.freebsd.org/changeset/ports/315897

Log:
  Update to version 2.2.3.
  
  PR:		ports/177849
  Submitted by:	Fernando <fernando.apesteguia@gmail.com> (maintainer)
  Feature safe:	yes

Modified:
  head/cad/openvsp/Makefile
  head/cad/openvsp/distinfo   (contents, props changed)
  head/cad/openvsp/files/patch-xmlvsp-CMakeLists.txt   (contents, props changed)
Directory Properties:
  head/cad/openvsp/pkg-descr   (props changed)

Modified: head/cad/openvsp/Makefile
==============================================================================
--- head/cad/openvsp/Makefile	Tue Apr 16 20:00:27 2013	(r315896)
+++ head/cad/openvsp/Makefile	Tue Apr 16 20:19:19 2013	(r315897)
@@ -2,15 +2,13 @@
 # $FreeBSD$
 
 PORTNAME=	openvsp
-PORTVERSION=	2.2.2
+PORTVERSION=	2.2.3
 CATEGORIES=	cad
-MASTER_SITES=	https://github.com/OpenVSP/OpenVSP/archive/
 
 MAINTAINER=	fernando.apesteguia@gmail.com
 COMMENT=	Create a 3D model of an aircraft defined by engineering parameters
 
 BUILD_DEPENDS=	${LOCALBASE}/lib/libopenNURBS.a:${PORTSDIR}/graphics/opennurbs
-
 LIB_DEPENDS=	pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
 		jpeg:${PORTSDIR}/graphics/jpeg \
 		drm:${PORTSDIR}/graphics/libdrm \
@@ -20,9 +18,15 @@ LIB_DEPENDS=	pthread-stubs:${PORTSDIR}/d
 		fontconfig:${PORTSDIR}/x11-fonts/fontconfig \
 		fltk:${PORTSDIR}/x11-toolkits/fltk \
 		xcb:${PORTSDIR}/x11/libxcb
-WRKSRC=		${WRKDIR}/OpenVSP-OpenVSP_${PORTVERSION}/src
 
-USES=		cmake
+USE_GITHUB=	yes
+GH_PROJECT=	OpenVSP
+GH_ACCOUNT=	${GH_PROJECT}
+GH_TAGNAME=	${GH_PROJECT}_${PORTVERSION}
+GH_COMMIT=	fb52aa2
+
+CMAKE_SOURCE_PATH=	${WRKSRC}/src
+USES=		cmake:outsource
 USE_DOS2UNIX=	yes
 USE_ICONV=	yes
 USE_XORG=	ice sm x11 xau xdamage xdmcp xext xfixes xft \
@@ -31,7 +35,7 @@ USE_GL=		glu
 USE_GNOME=	libxml2
 
 PORTEXAMPLES=	*
-INSTALL_PORTEXAMPLES=	@(cd ${WRKSRC}/../examples/ && ${COPYTREE_SHARE} \* ${EXAMPLESDIR})
+INSTALL_PORTEXAMPLES=	@(cd ${WRKSRC}/examples && ${COPYTREE_SHARE} \* ${EXAMPLESDIR})
 
 PLIST_FILES=	bin/vsp
 
@@ -39,14 +43,8 @@ CFLAGS+=	-I${LOCALBASE}/include/openNURB
 
 .include <bsd.port.options.mk>
 
-do-fetch:
-	if [ ! -f ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} ]; then \
-		${FETCH_BINARY} -o ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} \
-			${MASTER_SITES}OpenVSP_${PORTVERSION}${EXTRACT_SUFX}; \
-	fi
-
 do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/vsp/vsp ${PREFIX}/bin
+	@${INSTALL_PROGRAM} ${BUILD_WRKSRC}/vsp/vsp ${PREFIX}/bin
 .if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 	@${INSTALL_PORTEXAMPLES}

Modified: head/cad/openvsp/distinfo
==============================================================================
--- head/cad/openvsp/distinfo	Tue Apr 16 20:00:27 2013	(r315896)
+++ head/cad/openvsp/distinfo	Tue Apr 16 20:19:19 2013	(r315897)
@@ -1,2 +1,2 @@
-SHA256 (openvsp-2.2.2.tar.gz) = 93dd8978b568eb5726a9392308029b7b9967ae1af8c4033e8e8cba05f5a46e9b
-SIZE (openvsp-2.2.2.tar.gz) = 2921036
+SHA256 (openvsp-2.2.3.tar.gz) = 0ae143c31c09cd8bd93ead480c32343d0b360ef132e1ce5d3d2beec3457c7a63
+SIZE (openvsp-2.2.3.tar.gz) = 2921344

Modified: head/cad/openvsp/files/patch-xmlvsp-CMakeLists.txt
==============================================================================
--- head/cad/openvsp/files/patch-xmlvsp-CMakeLists.txt	Tue Apr 16 20:00:27 2013	(r315896)
+++ head/cad/openvsp/files/patch-xmlvsp-CMakeLists.txt	Tue Apr 16 20:19:19 2013	(r315897)
@@ -1,5 +1,5 @@
 --- /home/fernape/porting/openvsp/original/OpenVSP_2.0_community_src/src/xmlvsp/CMakeLists.txt	2012-04-04 21:03:54.000000000 +0200
-+++ xmlvsp/CMakeLists.txt	2012-04-04 20:29:08.000000000 +0200
++++ src/xmlvsp/CMakeLists.txt	2012-04-04 20:29:08.000000000 +0200
 @@ -2,7 +2,7 @@
  
  FIND_PACKAGE(LibXml2 REQUIRED)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Tijl Coosemans freebsd_committer 2013-04-16 21:21:09 UTC
State Changed
From-To: open->closed

Committed, thanks!